package com.atlassian.bitbucket.scm.git.command.branch;

import com.atlassian.bitbucket.scm.Command;
import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;

import javax.annotation.Nonnull;

public interface GitBranchCreateBuilder extends GitCommandBuilderSupport<GitBranchCreateBuilder> {

    @Nonnull
    Command<Void> build();

    @Nonnull
    GitBranchCreateBuilder force(boolean value);

    @Nonnull
    GitBranchCreateBuilder reflog(boolean value);

    @Nonnull
    GitBranchCreateBuilder startPoint(@Nonnull String value);

    @Nonnull
    GitBranchCreateBuilder track(boolean value);
}
